a:link { color: #004faf; text-decoration: none } a:visited { color: #672967; text-decoration: none }body { background: white; color: black; } -->

| Classes - Annotated - Tree - Functions - Home - Structure Qte

# QXmlLocator Class Reference
[ XML module ]

The QXmlLocator class provides the XML handler classes with information about the actual parsing position. More...

`#include <qxml.h>`

List of all member functions.

## Public Members

- QXmlLocator ( QXmlSimpleReader * parent )
- ~QXmlLocator ()
- int columnNumber ()
- int lineNumber ()

## Detailed Description

The QXmlLocator class provides the XML handler classes with information about the actual parsing position.

The reader reports a QXmlLocator to the content handler before he starts to parse the document. This is done with the QXmlContentHandler::setDocumentLocator() function. The handler classes can now use this locator to get the actual position the reader is at.

## Member Function Documentation

### QXmlLocator::QXmlLocator ( QXmlSimpleReader * parent )

Constructor.

### QXmlLocator::~QXmlLocator ()

Destructor.

### int QXmlLocator::columnNumber ()

Gets the column number (starting with 1) or -1 if there is no column number available.

### int QXmlLocator::lineNumber ()

Gets the line number (starting with 1) or -1 if there is no line number available.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2005 Trolltech, all rights reserved.